## cups 1.3.8-maemo8

=== debian/changelog ===
cups (1.3.8-maemo8) stable-security; urgency=high

  * Added manual optification.

 -- Thomas Maass <mase@setho.org>  Mon, 28 Feb 2011 16:57:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

unpatch: deapply-dpatches

# workaround for http://bugs.debian.org/469517
ifneq ($(findstring $(DEB_BUILD_ARCH), arm armel),)
  CFLAGS += -fno-stack-protector
endif

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --exec-prefix=/opt/usr --bindir=/usr/bin --sbindir=/usr/sbin --datarootdir=/opt/usr/share --docdir=/usr/share/doc --libdir=/opt/usr/lib --mandir=/usr/share/man --with-docdir=/opt/usr/share/cups/doc-root --localedir=/opt/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --enable-threads --enable-static --enable-dbus --enable-gssapi --disable-pdftops --disable-launchd --disable-ldap --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)"
DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
DEB_DH_INSTALLINIT_ARGS := -u'start 20 2 3 4 5 . stop 80 1 .'
DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
DEB_DH_FIXPERMS_ARGS := -Xopt/usr/lib/cups/backend-available
DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
DEB_MAKE_CHECK_TARGET := check || true
else
DEB_MAKE_CHECK_TARGET := check
endif
LDFLAGS := -Wl,--as-needed

common-post-build-arch::
	# Fix permissions of filters/backends installed from debian/local/
	chmod 755 debian/local/filters/*
	chmod 755 debian/local/backends/*

clean::
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist

common-install-prehook-impl::
	(cd fonts && $(MAKE) install BUILDROOT=$(DEB_DESTDIR))

binary-post-install/cups::
	(cd $(DEB_DESTDIR)/../cups/usr/share/doc/cups && ln -sf ../../cups/doc-root online-docs)

	# Install PPDs into /opt/usr/share/ppd/cups-included/<Manufacturer>, see
	# http://wiki.debian.org/PpdFileStructureSpecification
	for i in $(DEB_DESTDIR)/../cups/opt/usr/share/cups/model/*.ppd; do \
	  m=$$(sed -n -e '/^\*Manufacturer:/s/.*"\([^"]*\)".*/\1/p' $$i); \
	  mkdir -p "$(DEB_DESTDIR)/../cups/opt/usr/share/ppd/cups-included/$$m"; \
	  mv $$i "$(DEB_DESTDIR)/../cups/opt/usr/share/ppd/cups-included/$$m/"; \
	done
	rmdir $(DEB_DESTDIR)/../cups/opt/usr/share/cups/model

	dh_usrlocal

	# Install DBUS configuration file so that job progress is reported to
	# the system-config-printer applet
	install -D -m 644 packaging/cups-dbus.conf $(DEB_DESTDIR)/../cups/etc/dbus-1/system.d/cups.conf

	# install AppArmor profile on Ubuntu
	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
	fi

	# Make the serial backend run as root, since /dev/ttyS* are
	# root:dialout and thus not accessible as user lp
	chmod go-rx debian/$(cdbs_curpkg)/opt/usr/lib/cups/backend-available/serial

	#upstart-script
	cp $(CURDIR)/debian/cups-event.d $(CURDIR)/debian/cups/etc/event.d/cups

binary-post-install/libcups2::
	mkdir -p debian/libcups2/usr/lib
	ln -s /opt/usr/lib/libcups.so.2 debian/libcups2/usr/lib/libcups.so.2
	ln -s /opt/usr/lib/libcups.so.2.0.8 debian/libcups2/usr/lib/libcups.so.2.0.8

binary-post-install/libcupsimage2::
	mkdir -p debian/libcupsimage2/usr/lib
	ln -s /opt/usr/lib/libcupsimage.so.2 debian/libcupsimage2/usr/lib/libcupsimage.so.2
	ln -s /opt/usr/lib/libcupsimage.so.2.0.3 debian/libcupsimage2/usr/lib/libcupsimage.so.2.0.3

binary-post-install/libcupsimage2-dev::
	mkdir -p debian/libcupsimage2-dev/usr/lib
	ln -s /opt/usr/lib/libcupsimage.so debian/libcupsimage2-dev/usr/lib/libcups.so
	ln -s /opt/usr/lib/libcupsimage.a debian/libcupsimage2-dev/usr/lib/libcupsimage.a
	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
binary-post-install/cups-bsd::
	rm -r debian/cups-bsd/usr/share/doc/cups-bsd
	ln -s libcups2 debian/cups-bsd/usr/share/doc/cups-bsd
binary-post-install/libcups2-dev::
	mkdir -p debian/libcups2-dev/usr/lib
	ln -s /opt/usr/lib/libcups.so debian/libcups2-dev/usr/lib/libcups.so
	ln -s /opt/usr/lib/libcups.a debian/libcups2-dev/usr/lib/libcups.a
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.o
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.so
binary-post-install/cups-client::
	rm -r debian/cups-client/usr/share/doc/cups-client
	ln -s libcups2 debian/cups-client/usr/share/doc/cups-client

## cups 1.3.8-maemo9

=== debian/changelog ===
cups (1.3.8-maemo9) stable-security; urgency=high

  * Fixed bad symlink in libcupsimage2-dev.

 -- Thomas Maass <mase@setho.org>  Mon, 28 Feb 2011 20:50:00 +0200

=== debian/control ===
Source: cups
Priority: optional
Section: net
Maintainer: Thomas Maass <mase@setho.org>
Standards-Version: 3.7.3
Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev,
 libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev,
 debhelper (>= 5.0), po-debconf, cdbs (>= 0.4.27), sharutils, 
 dpatch (>= 1.11), libdbus-1-dev, comerr-dev,
 libavahi-compat-libdnssd-dev, poppler-utils | xpdf-utils, lsb-release,
 po4a (>= 0.29)

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cups-common
Conflicts:  libcupsys2 (<< 1.3.7-6)
Replaces: libcupsys2 (<< 1.3.7-6)
Provides: libcupsys2
Description: Common UNIX Printing System(tm) - libs
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Common UNIX Printing System(tm) - image libs
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.9),
 poppler-utils | xpdf-utils, perl-modules, procps, 
 ghostscript, lsb-base (>= 3), cups-common,  
 adduser
Recommends: cups-client, smbclient (>= 3.0.9), foomatic-filters, avahi-utils
Suggests: cups-bsd, cups-driver-gutenprint, foomatic-db-engine, foomatic-db,
 hplip, xpdf-korean | xpdf-japanese | xpdf-chinese-traditional | xpdf-chinese-simplified, 
 cups-pdf
Replaces: cupsys-bsd (<< 1.3.7-5), cupsys (<< 1.3.7-6)
Conflicts: cupsys-bsd (<< 1.3.7-5), cupsys (<< 1.3.7-6)
Provides: cupsys
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, cups-common, adduser
Suggests: cups, kdeprint, gtklp, cups-pt, xpp, cups-bsd
Conflicts: lprng, cupsys-client (<< 1.3.7-6)
Replaces: cupsys-client (<< 1.3.7-6)
Provides: cupsys-client
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libcups2 (= ${binary:Version}), libgnutls-dev, comerr-dev
Conflicts: libcupsys2-dev (<< 1.3.7-6)
Replaces: libcupsys2-dev (<< 1.3.7-6)
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - development files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - image development files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
 debconf, netbase, cups-common
Recommends: cups
Conflicts: lpr, lprng, cupsys-bsd (<< 1.3.7-6)
Replaces: lpr, cupsys-bsd (<< 1.3.7-6)
Provides: lpr, cupsys-bsd
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cupsys-common (<< 1.3.7-6)
Replaces: cupsys-common (<< 1.3.7-6)
Provides: cupsys-common
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

Package: cups-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: cups (= ${binary:Version})
Conflicts: cupsys-dbg (<< 1.3.7-6)
Replaces: cupsys-dbg (<< 1.3.7-6)
Description: Common UNIX Printing System(tm) - debugging symbols
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the debugging symbols of CUPS.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 
 binary-post-install/libcupsimage2-dev::
 	mkdir -p debian/libcupsimage2-dev/usr/lib
-	ln -s /opt/usr/lib/libcupsimage.so debian/libcupsimage2-dev/usr/lib/libcups.so
+	ln -s /opt/usr/lib/libcupsimage.so debian/libcupsimage2-dev/usr/lib/libcupsimage.so
 	ln -s /opt/usr/lib/libcupsimage.a debian/libcupsimage2-dev/usr/lib/libcupsimage.a
 	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
 	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev

## cups 1.3.8-maemo10

=== Makefile ===
#
# "$Id: Makefile 7768 2008-07-18 21:03:34Z mike $"
#
#   Top-level Makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 2007 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include Makedefs

#
# Directories to make...
#

DIRS	=	cups backend berkeley cgi-bin filter locale man monitor \
		notifier $(PDFTOPS) scheduler systemv test \
		$(PHPDIR) \
		conf data doc $(FONTS) ppd templates


#
# Make all targets...
#

all:
	chmod +x cups-config
	echo Using ALL_CFLAGS="$(ALL_CFLAGS)"
	echo Using ALL_CXXFLAGS="$(ALL_CXXFLAGS)"
	echo Using LDFLAGS="$(LDFLAGS)"
	echo Using LIBS="$(LIBS)"
	for dir in $(DIRS); do\
		echo Making all in $$dir... ;\
		(cd $$dir ; $(MAKE) $(MFLAGS)) || exit 1;\
	done


#
# Remove object and target files...
#

clean:
	for dir in $(DIRS); do\
		echo Cleaning in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done


#
# Remove all non-distribution files...
#

distclean:	clean
	$(RM) Makedefs config.h config.log config.status
	$(RM) cups-config
	$(RM) conf/cupsd.conf conf/mime.convs conf/pam.std conf/snmp.conf
	$(RM) doc/help/ref-cupsd-conf.html doc/help/standard.html doc/index.html
	$(RM) init/cups.sh init/cups-lpd init/org.cups.cups-lpd.plist
	$(RM) man/client.conf.man
	$(RM) man/cups-deviced.man man/cups-driverd.man
	$(RM) man/cups-lpd.man man/cupsaddsmb.man man/cupsd.man
	$(RM) man/cupsd.conf.man man/lpoptions.man
	$(RM) packaging/cups.list
	$(RM) templates/header.tmpl
	-$(RM) doc/*/index.html
	-$(RM) templates/*/header.tmpl
	-$(RM) -r autom4te*.cache


#
# Make dependencies
#

depend:
	for dir in $(DIRS); do\
		echo Making dependencies in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done


#
# Run the clang.llvm.org static code analysis tool on the C sources.
#

.PHONY: clang
clang:
	if test ! -d clang; then \
		mkdir clang; \
	else \
		rm -rf clang/*; \
	fi
	$(MAKE) $(MFLAGS) CC="scan-build -o ../clang $(CC)" \
		CXX="scan-build -o ../clang $(CXX)" clean all
	test `ls -1 clang | wc -l` != 0 || exit 1


#
# Generate a ctags file...
#

ctags:
	ctags -R .


#
# Install object and target files...
#

install:	installhdrs
	for dir in $(DIRS); do\
		echo Installing in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) install) || exit 1;\
	done
	echo Installing cups-config script...
	$(INSTALL_DIR) -m 755 $(BINDIR)
	$(INSTALL_SCRIPT) cups-config $(BINDIR)/cups-config
	if test "x$(INITDIR)" != x; then \
		echo Installing init scripts...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/init.d; \
		$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDIR)/init.d/cups; \
		for level in $(RCLEVELS); do \
			$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc$${level}.d; \
			$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc$${level}.d/S$(RCSTART)cups; \
			if test `uname` = HP-UX; then \
				level=`expr $$level - 1`; \
				$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc$${level}.d; \
			fi; \
			$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc$${level}.d/K$(RCSTOP)cups; \
		done; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc0.d; \
		$(LN) ../init.d/cups $(BUILDROOT)$(INITDIR)/rc0.d/K$(RCSTOP)cups; \
	fi
	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
		$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR); \
		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
			echo Installing StartupItems files...; \
			$(INSTALL_SCRIPT) init/PrintingServices $(BUILDROOT)$(INITDDIR)/PrintingServices; \
			$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
			$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
			$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
			echo Installing LaunchDaemons configuration files...; \
			$(INSTALL_DATA) init/org.cups.cupsd.plist $(BUILDROOT)$(DEFAULT_LAUNCHD_CONF); \
			$(INSTALL_DATA) init/org.cups.cups-lpd.plist $(BUILDROOT)/System/Library/LaunchDaemons; \
			case `uname -r` in \
				8.*) \
				$(INSTALL_DIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices; \
				$(INSTALL_SCRIPT) init/PrintingServices.launchd $(BUILDROOT)/System/Library/StartupItems/PrintingServices/PrintingServices; \
				$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)/System/Library/StartupItems/PrintingServices/StartupParameters.plist; \
				$(INSTALL_DIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices/Resources/English.lproj; \
				$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)/System/Library/StartupItems/PrintingServices/Resources/English.lproj/Localizable.strings; \
				;; \
			esac \
		else \
			echo Installing RC script...; \
			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
		fi \
	fi
	if test "x$(DBUSDIR)" != x; then \
		echo Installing cups.conf in $(DBUSDIR)...;\
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(DBUSDIR)/system.d; \
		$(INSTALL_DATA) packaging/cups-dbus.conf $(BUILDROOT)$(DBUSDIR)/system.d/cups.conf; \
	fi
	if test "x$(XINETD)" != x; then \
		echo Installing xinetd configuration file for cups-lpd...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(XINETD); \
		$(INSTALL_DATA) init/cups-lpd $(BUILDROOT)$(XINETD)/cups-lpd; \
	fi
	if test "x$(MENUDIR)" != x; then \
		echo Installing desktop menu...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(MENUDIR); \
		$(INSTALL_DATA) desktop/cups.desktop $(BUILDROOT)$(MENUDIR); \
	fi
	if test "x$(ICONDIR)" != x; then \
		echo Installing desktop icons...; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/16x16/apps; \
		$(INSTALL_DATA) desktop/cups-16.png $(BUILDROOT)$(ICONDIR)/hicolor/16x16/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/32x32/apps; \
		$(INSTALL_DATA) desktop/cups-32.png $(BUILDROOT)$(ICONDIR)/hicolor/32x32/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/64x64/apps; \
		$(INSTALL_DATA) desktop/cups-64.png $(BUILDROOT)$(ICONDIR)/hicolor/64x64/apps/cups.png; \
		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(ICONDIR)/hicolor/128x128/apps; \
		$(INSTALL_DATA) desktop/cups-128.png $(BUILDROOT)$(ICONDIR)/hicolor/128x128/apps/cups.png; \
	fi


#
# Install source and header files...
#

installsrc:
	gnutar --dereference --exclude=.svn -cf - . | gnutar -C $(SRCROOT) -xf -

installhdrs:
	(cd cups ; $(MAKE) $(MFLAGS) installhdrs) || exit 1;\
	(cd filter ; $(MAKE) $(MFLAGS) installhdrs) || exit 1;


#
# Uninstall object and target files...
#

uninstall:
	for dir in $(DIRS); do\
		echo Uninstalling in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || exit 1;\
	done
	echo Uninstalling cups-config script...
	$(RM) $(BINDIR)/cups-config
	-$(RMDIR) $(BINDIR)
	echo Uninstalling startup script...
	if test "x$(INITDIR)" != x; then \
		$(RM) $(BUILDROOT)$(INITDIR)/init.d/cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/init.d; \
		$(RM)  $(BUILDROOT)$(INITDIR)/rc0.d/K00cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc0.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc2.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc2.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc3.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc3.d; \
		$(RM) $(BUILDROOT)$(INITDIR)/rc5.d/S99cups; \
		$(RMDIR) $(BUILDROOT)$(INITDIR)/rc5.d; \
	fi
	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
			$(RM) $(BUILDROOT)$(INITDDIR)/PrintingServices; \
			$(RM) $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
			$(RM) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
			$(RMDIR) $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
			$(RM) $(BUILDROOT)$(INITDDIR)/org.cups.cupsd.plist; \
			$(RM) $(BUILDROOT)$(INITDDIR)/org.cups.cups-lpd.plist; \
			$(RMDIR) $(BUILDROOT)/System/Library/StartupItems/PrintingServices; \
		else \
			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
		fi \
		$(RMDIR) $(BUILDROOT)$(INITDDIR); \
	fi
	if test "x$(DBUSDIR)" != x; then \
		echo Uninstalling cups.conf in $(DBUSDIR)...;\
		$(RM) $(BUILDROOT)$(DBUSDIR)/cups.conf; \
		$(RMDIR) $(BUILDROOT)$(DBUSDIR); \
	fi
	$(RM) $(BUILDROOT)/etc/xinetd.d/cups-lpd
	$(RM) $(BUILDROOT)/usr/share/applications/cups.desktop
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/16x16/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/32x32/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/64x64/apps/cups.png
	$(RM) $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps/cups.png


#
# Run the test suite...
#

test:	all
	echo Running CUPS test suite...
	cd test; ./run-stp-tests.sh


check:	all
	echo Running CUPS test suite with defaults...
	cd test; ./run-stp-tests.sh 1 0 n


#
# Make software distributions using EPM (http://www.easysw.com/epm/)...
#

EPMFLAGS	=	-v --output-dir dist $(EPMARCH)

aix bsd deb depot inst pkg setld slackware swinstall tardist:
	epm $(EPMFLAGS) -f $@ cups packaging/cups.list

epm:
	epm $(EPMFLAGS) -s packaging/installer.gif cups packaging/cups.list

osx:
	epm $(EPMFLAGS) -f osx -s packaging/installer.tif cups packaging/cups.list

rpm:
	epm $(EPMFLAGS) -f rpm -s packaging/installer.gif cups packaging/cups.list

.PHONEY:	dist
dist:	all
	$(RM) -r dist
	$(MAKE) $(MFLAGS) epm
	case `uname` in \
		*BSD*) $(MAKE) $(MFLAGS) bsd;; \
		Darwin*) $(MAKE) $(MFLAGS) osx;; \
		IRIX*) $(MAKE) $(MFLAGS) tardist;; \
		Linux*) $(MAKE) $(MFLAGS) rpm;; \
		SunOS*) $(MAKE) $(MFLAGS) pkg;; \
	esac


#
# End of "$Id: Makefile 7768 2008-07-18 21:03:34Z mike $".
#

=== debian/changelog ===
cups (1.3.8-maemo10) stable-security; urgency=high

  * Fixed package section.

 -- Thomas Maass <mase@setho.org>  Thu, 03 Mar 2011 22:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 Package: cups
 Priority: optional
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, debconf (>= 1.2.9),
  poppler-utils | xpdf-utils, perl-modules, procps, 
@@ -78,7 +78,7 @@
 
 Package: cups-client
 Priority: optional
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, cups-common, adduser
 Suggests: cups, kdeprint, gtklp, cups-pt, xpp, cups-bsd
@@ -141,7 +141,7 @@
 
 Package: cups-bsd
 Priority: extra
-Section: net
+Section: user/network
 Architecture: any
 Depends: ${shlibs:Depends}, cups-client (= ${binary:Version}),
  debconf, netbase, cups-common

## cups 1.3.8-maemo11

=== debian/changelog ===
cups (1.3.8-maemo11) stable-security; urgency=high

  * Added bugtracker field.

 -- Thomas Maass <mase@setho.org>  Thu, 04 Mar 2011 00:05:00 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcupsimage2
 Priority: optional
@@ -48,6 +49,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups
 Priority: optional
@@ -75,6 +77,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-client
 Priority: optional
@@ -96,6 +99,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcups2-dev
 Priority: optional
@@ -119,6 +123,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: libcupsimage2-dev
 Priority: optional
@@ -138,6 +143,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-bsd
 Priority: extra
@@ -162,6 +168,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-common
 Priority: optional
@@ -182,6 +189,7 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups
 
 Package: cups-dbg
 Priority: extra
@@ -201,3 +209,4 @@
  The terms "Common UNIX Printing System" and "CUPS" are trademarks of
  Easy Software Products (www.easysw.com), and refer to the original
  source packages from which these packages are made.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=cups

## cups 1.3.8-maemo12

=== debian/changelog ===
cups (1.3.8-maemo12) stable-security; urgency=high

  * Fixed dependencies of libcupsimage2-dev.

 -- Thomas Maass <mase@setho.org>  Fri, 04 Mar 2011 03:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -130,7 +130,7 @@
 Section: libdevel
 Architecture: any
 Depends: libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
- libpng-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
+ libpng12-dev, libtiff4-dev, libjpeg62-dev, zlib1g-dev
 Description: Common UNIX Printing System(tm) - image development files
  The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
  general replacement for lpd and the like.  It supports the Internet
